#include <Magick++.h> 
#include <iostream> 
using namespace std; 
using namespace Magick; 
#include "log.h"
int testimage()
{ 
  // Initialize ImageMagick install location for Windows
  InitializeMagick(".");//*argv);
	log_message("starting..");
  try { 
    // Create an image object and read an image 
	  log_message("creating object");
    Image image( "girl.gif" ); 
    // Crop the image to specified size 
    // (Geometry implicitly initialized by char *) 
	log_message("cropping");
    image.crop("100x100+100+100" ); 

    // Write the image to a file 
	log_message("writing to another file");
    image.write( "x.gif" ); 
	log_message("done writing");
  } 
  catch( Exception &error_ ) 
    { 
      cout << "Caught exception: " << error_.what() << endl; 
      return 1; 
    } 
  return 0; 
}

int cropImage( char* imageFile, int x, int y, int width, int height, char* resultingFile ) {
  // Initialize ImageMagick install location for Windows
  InitializeMagick(".");//*argv);
	log_message("starting..");
  try { 
    // Create an image object and read an image 
	  log_message("creating object");
    Image image( imageFile ); 
    // Crop the image to specified size 
    // (Geometry implicitly initialized by char *) 
	char commandBuf[50];
	sprintf( commandBuf, "%dx%d+%d+%d", width, height, x, y );
	log_message("cropping");
    image.crop( commandBuf ); 

    // Write the image to a file 
	log_message("writing to another file");
    image.write( resultingFile ); 
	log_message("done writing");
  } 
  catch( Exception &error_ ) 
    { 
      cout << "Caught exception: " << error_.what() << endl; 
      return 1; 
    } 
  return 0; 
}